Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.tree
Class CategoryTree

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.tree.CategoryTree

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, EventListener, com.google.gwt.user.client.ui.TreeListener

public class CategoryTree
extends com.google.gwt.user.client.ui.Composite
implements com.google.gwt.user.client.ui.TreeListener

Author:
  Alexander Yuhimenko

Field Summary
`static com.google.gwt.user.client.ui.Tree` | `tree`

Constructor Summary
`CategoryTree()`

Method Summary
`com.google.gwt.user.client.ui.VerticalPanel` | `getLayoutPanel()`
`static com.google.gwt.user.client.ui.Tree` | `getTree()`
`void` | `onTreeItemSelected(com.google.gwt.user.client.ui.TreeItem selectedTreeItem)`
`void` | `onTreeItemStateChanged(com.google.gwt.user.client.ui.TreeItem arg0)`
`void` | `selectNextCard()`
`void` | `selectPriorCard()`
`void` | `setPixelSize(int width, int height)`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tree

    public static com.google.gwt.user.client.ui.Tree tree

Constructor Detail

### CategoryTree

    public CategoryTree()

Method Detail

### setPixelSize

    public void setPixelSize(int width,
                             int height)

### selectPriorCard

    public void selectPriorCard()

### selectNextCard

    public void selectNextCard()

### getLayoutPanel

    public com.google.gwt.user.client.ui.VerticalPanel getLayoutPanel()

  Returns:
    the layoutPanel

### onTreeItemSelected

    public void onTreeItemSelected(com.google.gwt.user.client.ui.TreeItem selectedTreeItem)

  Specified by:
    `onTreeItemSelected` in interface `com.google.gwt.user.client.ui.TreeListener`

### onTreeItemStateChanged

    public void onTreeItemStateChanged(com.google.gwt.user.client.ui.TreeItem arg0)

  Specified by:
    `onTreeItemStateChanged` in interface `com.google.gwt.user.client.ui.TreeListener`

### getTree

    public static com.google.gwt.user.client.ui.Tree getTree()

  Returns:
    the tree

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD